# Ga4Properties

> List the GA4 properties visible to one Google connection. Admin access, integrations toolset, MCP tool get_ga4_properties.

**Access:** [Admin](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `connectionId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"Ga4Properties","variables":{"connectionId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"83895cdfa6e5e90c57a0216ed9898fee88ea03004669a2553874c4fd0221c58b"}}}'
```

## Document

```graphql
query Ga4Properties($connectionId: UUID!) { __typename ga4Properties(connectionId: $connectionId) { __typename properties { __typename accountName displayName propertyId } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/integrations/ga4-properties
